﻿using SkiaSharp;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace skiademo
{
    [XamlCompilation(XamlCompilationOptions.Skip)]
    public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
        }

        private void SKGLView_PaintSurface(object sender, SkiaSharp.Views.Forms.SKPaintGLSurfaceEventArgs e)
        {
            Draw(e.Surface.Canvas);
        }

        private void SKCanvasView_PaintSurface(object sender, SkiaSharp.Views.Forms.SKPaintSurfaceEventArgs e)
        {
            Draw(e.Surface.Canvas);
        }

        private void Draw(SKCanvas canvas)
        {
            canvas.Clear(SkiaSharp.SKColors.White);
            using (var paint = new SKPaint()
            {
                Color = SKColors.Red,
                TextSize = 20,
            })
            {
                canvas.DrawText("Background should be white (255,255,255) and text should be red (255,0,0)",
                    30, 30, paint);
            }
        }
    }
}
